
Redmine - Feature #12022

Change/Update author when an issue is re-opened to the person who re-opens

2012-10-04 18:45 - Brian Lindahl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

This improvement could be guarded with a new Project setting.

Add the following code to app/models/issue.rb:

  def update_author_when_reopened

    if reopened?

      self.author = User.current

    end

  end

 Add a call to it for before_save:

- before_save :close_duplicates, :update_author_when_reopened, :update_done_ratio_from_issue_statu

s, :force_updated_on_change

+ before_save :close_duplicates, :update_author_when_reopened, :update_done_ratio_from_issue_statu

s, :force_updated_on_change

Related issues:

Related to Redmine - Feature #1739: Add ability to change issue author Reopened 2008-08-04

History

#1 - 2012-10-04 18:46 - Brian Lindahl

Er...

Add a call to it for before_save:

- before_save :close_duplicates, :update_done_ratio_from_issue_status, :force_updated_on_change

+ before_save :close_duplicates, :update_author_when_reopened, :update_done_ratio_from_issue_status, :force_up

dated_on_change

#2 - 2012-10-20 09:57 - Anonymous

Wouldn't this destroy the record of the original author...?

#3 - 2021-06-10 03:37 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

I can't think of use cases for the feature. And I believe that the behavior is confusing and undesirable for most users.

However, if the #1739 is implemented in the future, I think what you want to do can be achieved manually.

#4 - 2021-06-10 03:38 - Go MAEDA

- Related to Feature #1739: Add ability to change issue author added
